

var Localization = {
	getText: function(text) {
		if (typeof this.texts[text] == "undefined") {
			Console.p(text+" not found")
		}
		return this.texts[text]
	},
	init: function() {
		if (this.texts[Config.lang]) {
			this.texts = this.texts[Config.lang]
		}
		View.setTitle(this.getText("title"))
		View.getBody().addClassName(Config.lang)
	},
	texts: {
		"en": {
			title: "Art Quiz",
			description: "Art Quiz",
			"playQuiz": "Play <br> Quiz",
			"archives": "Archives",			
			"random": "Random",
			"info": "Info",
			
			"solucion1": "You have no idea! ",
			"solucion2": "Not bad, surely you drive well among art lovers.",
			"solucion3": "You are an expert.",
			
			"informa": "Art Quiz<br/>All Rights Reserved!",
			"derechos": "&copy;2009 gigigo.com<br/>http://www.gigigo.com/",
			"archivos": "Archives",
			"meses": $w("January February March April May June July August September October November December"),
				
			"Fin1": "You have answered ",
			"Fin2": " of 10 answers well ",  	
			"Fin3": " Press to continue"		
		},
		"es": {
			title: "Art Quiz",
			description: "Art Quiz",
			"playQuiz": "Jugar",
			"archives": "Archivos",			
			"random": "Aleatorio",
			"info": "Info",
			
			"solucion1": "¡No tienes ni idea!",
			"solucion2": "No está mal, seguro que te manejas bien entre los aficionados al arte.",
			"solucion3": "Eres todo un experto.",
			
			"informa": "Test de Arte<br/>¡Todos los derechos reservados!",
			"derechos": "&copy;2009 gigigo.com<br/>http://www.gigigo.com/",
			"archivos": "Archivos",

			"meses": $w("Enero Febrero Marzo Abril Mayo Junio Julio Agosto Septiembre Octubre Noviembre Diciembre"),
			
			"Fin1": "Has respondido ",
			"Fin2": " de 10 respuestas bien ",  	
			"Fin3": " Pulsa la flecha para continuar"									
		}
	}
}