var ListarArchivos = View.section('listarArchivos')

ListarArchivos.onInit = function() {
	this.archivoRecuperado=[]
	this.cargarSeccion()
}

ListarArchivos.onShow = function(){
	window.scrollTo(0, 0)	
	GGG.AdServer.setTag(Config.LISTARCHIV_TAG)
	GGG.Stats.send(Config.STAT_LISTARCH)	
	/************ FORMATEAR SECCION *********************/
	var sigtSolu = this.selectOne(".header")
	if (sigtSolu) {
		
		var textSolu = this.selectOne(".cuerpoQuiz")
		textSolu.remove();
		sigtSolu.remove();					
	}
	/**************************************************/
	this.cargarSeccion()	
	this.cargarArchivo()
}

ListarArchivos.cargarSeccion = function(){
	var raiz = this;
	var header = new Element('div',{'class':'header'})
	var cuerpoQuiz = new Element('div',{'class':'cuerpoQuiz'})
	
	raiz.insert(header)	
	
	var titulo = new Element('div',{'class':'titulo'})	
	header.insert(titulo)
	var cerrar = new Element('div',{'class':'cerrar'})	
	titulo.insert(cerrar)	
	
	raiz.insert(cuerpoQuiz)
	
	var elegirArchivo = new Element('div',{'class':'elegirArchivo'})	
	cuerpoQuiz.insert (elegirArchivo)
	
	var cabecera = new Element('div',{'class':'cabecera'}).update(Localization.getText("archivos"));
	var contenido = new Element('div',{'class':'contenido'})
	elegirArchivo.insert(cabecera)
	elegirArchivo.insert(contenido)
	
	this.selectOne(".cerrar").observe('click', function() {	
		GGG.Stats.send(Config.STAT_CLOSE)
		Controller.close();
	})	

	
}


ListarArchivos.cargarArchivo = function() {
	if(Preference.exists("archivoSistema")){
		var archiv = Preference.load("archivoSistema")	
		this.archivoRecuperado=archiv.split(",")
	}
	else{

		var archiv =""
		this.archivoRecuperado=[]
	}
	
	
	var inicio=9;
	var aux;


	for (i=0; i<this.archivoRecuperado.length;i++){
		if (i>=inicio){
			aux= this.archivoRecuperado[inicio];
			var parseo=aux.split("#")
		
			
			/*** CREANDO ARCHIVO ***/
			var archivador = this.selectOne(".contenido")	
			archivador.insert(new Element('div',{'class':'archivador' ,'id':'archID'+i}).update(parseo[2]));	
		

			
			this.archivo = $('archID'+i);
			console.log(this.archivo.id + "")

        	this.archivo.setAttribute('onclick', 'Archives.buscarArchivo(' + inicio + ')');

			inicio=inicio+10;
		}		
	}	
}


ListarArchivos.agregarNuevo = function(archivoNuevo){

	if(Preference.exists("archivoSistema")){
		var archiv = Preference.load("archivoSistema")	
		this.archivoRecuperado=archiv.split(",")
		var posicion = this.archivoRecuperado.length-1+10;	
	}
	else{
		var archiv =""
		this.archivoRecuperado=[]
		var posicion = 9;
	
	
	}	
	

	this.archivoRecuperado= this.archivoRecuperado.concat(archivoNuevo);	
	
	var parseo=archivoNuevo[0].split("#")


	/*** CREANDO ARCHIVO ***/
	var archivador = this.selectOne(".contenido")	
	archivador.insert(new Element('div',{'class':'archivador' ,'id':'archID'+posicion}).update(parseo[2]));	
	this.archivo = $('archID'+posicion);
	this.archivo.setAttribute('onclick', 'Archives.buscarArchivo(' + posicion + ')');
}
