var Menu = View.section('menu')

Menu.onInit = function() {
	

	var self = this
	
	this.selectOne(".playQuiz").observe('click', function() {		
		View.switchTo(PlayQuiz)		
		self.select(this)
	})

	this.selectOne(".archives").observe('click', function() {		
		View.switchTo(ListarArchivos)
		self.select(this)
	
	})

	this.selectOne(".random").observe('click', function() {		
		View.switchTo(Random)
		self.select(this)
	
	})
	
	this.selectOne(".info").observe('click', function() {		
		View.switchTo(Info)
		self.select(this)
	
	})	


	if (Terminal.isOVI()) {
		var playQuizText = this.selectOne(".playQuiz .text")
		var archivesText = this.selectOne(".archives .text")
		var randomText = this.selectOne(".random .text")
		var infoText = this.selectOne(".info .text")		
		
		playQuizText.insert(new Element('div',{'class':'cell inner-text'}).update(Localization.getText("playQuiz")))
		archivesText.insert(new Element('div',{'class':'cell inner-text'}).update(Localization.getText("archives")))
		randomText.insert(new Element('div',{'class':'cell inner-text'}).update(Localization.getText("random")))
		infoText.insert(new Element('div',{'class':'cell inner-text'}).update(Localization.getText("info")))		
	} else {
	//	this.selectOne(".loginSection .text").insert(Local.get("loginSection"))
	//	this.selectOne(".ayuda .text").insert(Local.get("ayuda"))
	}

	this.select(this.selectOne(".playQuiz"))
		
}

Menu.select = function(option) {
	
	if (this.lastOption) {
		this.lastOption.removeClassName("selected")
	}
	
	this.lastOption = option
	this.lastOption.addClassName("selected")
}
Menu.onShow = function() {			// PARA EL MENU CUAL SE ILUMINA
	if (View.getCurrent() == Error) {
		this.lastOption.removeClassName("selected")
	} else {
		this.lastOption.addClassName("selected")
	}
}

