var Config = {
	type: "prod",
	buenaResp:5,
    excelenteResp:9,
	
	init: function() {
		for (var field in this[this.type]) {
			this[field] = this[this.type][field]
		}
		
		var statsConfig = Terminal.isV360() ? this[this.lang]["v360"] : this[this.lang]["ovi"]
		for (var field in statsConfig) {
			this[field] = statsConfig[field]
		}
	},
	
	isProd: function() {
		return this.type == "prod"
	},
	
	// PRODUCTION
	prod: {
		lang: "en",
		startSection: "PlayQuiz",
		startSectionParams: {},
		splashTime: 3, // seconds | 0 = no splash
		urlFeed: "http://widget.gigigo.com/revistas/artquiz/Default.aspx",
		boomTime: 4, // seconds
		numFramesLoading:24,
		transition: false, // fade between sections (OVI)
		is4ways: false,
		console: false, // force in-widget console
		debug: false
	},	
	// TEST
	test: {
		lang: "en",
		startSection: "PlayQuiz",
		startSectionParams: {},
		splashTime: 3, // seconds | 0 = no splash
		urlFeed: "http://widget.gigigo.com/revistas/artquiz/Default.aspx",
		boomTime: 4, // seconds
		numFramesLoading:24,		
		transition: false, // fade between sections (OVI)
		is4ways: false,
		console: false, // force in-widget console
		debug: false
	},
	// DEVELOPING
	dev: {
		lang: "en",
		startSection: "PlayQuiz",
		startSectionParams: {},
		splashTime: 1, // seconds | 0 = no splash
		urlFeed: "http://widget.gigigo.com/revistas/artquiz/Default.aspx",
		boomTime: 4, // seconds
		numFramesLoading:24,		
		transition: false, // fade between sections (OVI)
		is4ways: false,
		console: false, // force in-widget console
		debug: true
	},
	
	
		// ADSERVER + STAT
    es: {
		ovi: {
			idApp: 120,
			PLAYQUIZ_TAG: "OVI_quizsp_home",
			LISTARCHIV_TAG: "OVI_quizsp_filelist",
			ARCHIV_TAG: "OVI_quizsp_list",
			RANDOM_TAG: "OVI_quizsp_random",
			SAVE_TAG: "OVI_quizsp_saved",
									
			STAT_INI: 781,
			STAT_HOME:782,
			STAT_LISTARCH:783,
			STAT_ARCH:785,
			STAT_RANDOM:784,
			STAT_CLOSE:786			
		}
    },	
   en: {
	   	ovi: {
	   		idApp: 121,
			PLAYQUIZ_TAG: "OVI_quizen_home",
			LISTARCHIV_TAG: "OVI_winessp_user",
			ARCHIV_TAG: "OVI_quizen_filelist",
			RANDOM_TAG: "OVI_quizen_random",
			SAVE_TAG: "OVI_quizen_saved",
									
			STAT_INI: 787,
			STAT_HOME:788,
			STAT_LISTARCH:789,
			STAT_ARCH:791,
			STAT_RANDOM:790,
			STAT_CLOSE:792			
	   	}
   }
	
	
}
