var PlayQuiz = View.section('playQuiz')

PlayQuiz.onInit = function() {
	
	/* VARIABLES */
	
	var self = this
	self.numPregunta = 0;
	this.resultados=[];
	this.testRecv = [];
	this.arrayArchivo=[];
	this.guardarInfo=[];

	this.selectOne(".cerrar").observe('click', function() {	
		GGG.Stats.send(Config.STAT_CLOSE)
		Controller.close();
	})	
	
	/*************** SUPERIOR ***************/
	var imagCuestion = this.selectOne(".cuerpoQuiz")	
	imagCuestion.insert(new Element('div',{'class':'imagQuiz'}))
	
	var imag = this.selectOne(".imagQuiz")	
	imag.insert(new Element('img',{'src':' ','class':'imagenQuiz','name':'imagenQuiz' }))
	
	
	/*************** CUERPO ***************/	
	var Cuestion = this.selectOne(".cuerpoQuiz")	
	Cuestion.insert(new Element('div',{'class':'cuestion'}))
	var anteriorCuestion = this.selectOne(".cuestion")	
	anteriorCuestion.insert(new Element('div',{'class':'anteriorQuiz'}));
	var pregunta = this.selectOne(".cuestion")	
	pregunta.insert(new Element('div',{'class':'pregunta'}))
	
	
	var preguntaInfo = this.selectOne(".pregunta")	
	preguntaInfo.insert(new Element('div',{'class':'preguntaInfo'}))
		
	

	var sigCuestion = this.selectOne(".cuestion")	
	sigCuestion.insert(new Element('div',{'class':'siguienteQuiz'}));	
	/*************** INFERIOR ***************/	
	var eleccion = this.selectOne(".cuerpoQuiz")	
	eleccion.insert(new Element('div',{'class':'eleccion'}))	
	var opcion1 = this.selectOne(".eleccion")	
	opcion1.insert(new Element('div',{'class':'opcion1'}))	
	var opcion2 = this.selectOne(".eleccion")	
	opcion2.insert(new Element('div',{'class':'opcion2'}))
	var opcion3 = this.selectOne(".eleccion")	
	opcion3.insert(new Element('div',{'class':'opcion3'}))	
	
	
	this.selectOne(".opcion1").observe('click', function() {	
		
		if ((typeof(self.resultados[self.numPregunta]) == "undefined") || (self.resultados[self.numPregunta]) == "-1") {
			self.resultados[self.numPregunta] = "0";
			self.selectOne(".opcion1").addClassName("focus");
		}
	})

	this.selectOne(".opcion2").observe('click', function() {
		
		if ((typeof(self.resultados[self.numPregunta]) == "undefined") || (self.resultados[self.numPregunta]) == "-1") {
			self.resultados[self.numPregunta] = "1";
			self.selectOne(".opcion2").addClassName("focus");
		}
	})

	this.selectOne(".opcion3").observe('click', function() {	
	
		if ((typeof(self.resultados[self.numPregunta]) == "undefined") || (self.resultados[self.numPregunta]) == "-1") {
			self.resultados[self.numPregunta] = "2";
			self.selectOne(".opcion3").addClassName("focus");
		}
	})
	

	this.selectOne(".anteriorQuiz").observe('click', function() {		
		self.antPregunta();
	})

	this.selectOne(".siguienteQuiz").observe('click', function() {	
	
		if (typeof (self.resultados[self.numPregunta])=="undefined"){
			self.resultados[self.numPregunta]="-1";		
		} 		
		self.sigPregunta();
	})		
		
	this.question = this.selectOne(".preguntaInfo")
}

PlayQuiz.pedirAjax = function(onLoad){
	var self = this
	var url=Config.urlFeed;	
    url += "?s=" + View.getWidth();
    url += "&l=" + Config.lang;
		
	var cb=null;
	cb = {
		success: function(response) {
			var jsonData = response.evalJSON();			
			self.testRecv = jsonData.test;
			self.mostrarPregunta();
			if (onLoad) {
				onLoad();
			}
		},
		error: function() {
			
		}
	}
	var ajaxObj = Utils.Ajax(url,"get",cb);

}
PlayQuiz.onShow = function() {
	Menu.show()	
	window.scrollTo(0, 0)
	GGG.AdServer.setTag(Config.PLAYQUIZ_TAG)
	GGG.Stats.send(Config.STAT_HOME)	
}

PlayQuiz.inicializar = function() {
	this.resultados=[]
	this.numPregunta=0
}


PlayQuiz.sigPregunta = function() {
    if (this.testRecv != null) {
		if (this.numPregunta>8)
		{
			Loading.start()			
			View.switchTo(Solucion)	
		}
		else{
			this.numPregunta++;
			this.mostrarPregunta();
		}	
    } else {
		/*crear nuevo*/
    }
}
PlayQuiz.antPregunta = function() {
    if (this.testRecv != null) {
		if (this.numPregunta>0){
			this.numPregunta--;
			this.mostrarPregunta();
		}
    } else {
		/*crear nuevo*/
    }
}



PlayQuiz.mostrarPregunta = function(){
	this.question.update(this.testRecv[this.numPregunta].question)	
	this.selectOne(".opcion1").update(this.testRecv[this.numPregunta].answers[0])	
	this.selectOne(".opcion2").update(this.testRecv[this.numPregunta].answers[1])	
	this.selectOne(".opcion3").update(this.testRecv[this.numPregunta].answers[2])	
	document.images["imagenQuiz"].src =this.testRecv[this.numPregunta].image;
	window.scrollTo(0, 0)					
	this.selectOne(".opcion1").removeClassName("selecionada");
	this.selectOne(".opcion2").removeClassName("selecionada");
	this.selectOne(".opcion3").removeClassName("selecionada");
	this.selectOne(".opcion1").removeClassName("focus");
	this.selectOne(".opcion2").removeClassName("focus");
	this.selectOne(".opcion3").removeClassName("focus");	
	

		
	switch (this.resultados[this.numPregunta]) {
            case "0":
                this.selectOne(".opcion1").addClassName("selecionada");
				
                break;
            case "1":          
                this.selectOne(".opcion2").addClassName("selecionada");
				
                break;
            case "2":         
                this.selectOne(".opcion3").addClassName("selecionada");
			
                break;					
			default:					
				break;
    }



	if ((typeof(this.resultados[this.numPregunta]) != "undefined") && (this.resultados[this.numPregunta]) != "-1") {

		switch (this.testRecv[this.numPregunta].correct) {
			case "0":
				this.selectOne(".opcion1").insert(new Element('div', {'class': 'correcta'}))
				break;
			case "1":
				this.selectOne(".opcion2").insert(new Element('div', {'class': 'correcta'}))
				break;
			case "2":
				this.selectOne(".opcion3").insert(new Element('div', {'class': 'correcta'}))
				break;
			default:
				
				break;
		}
	}	
}
