var ClickRotator = function(btn,elements,onNext) {
	var _btn = btn
	var _elements = elements
	var _numElements = elements.length
	var _current = 0
	var _onNext = onNext
	
	_elements[0].show()
	for (var i = 1; i < _numElements; i++) {
		_elements[i].hide()
	}
	
	_btn.observe('click', function() {
		_elements[_current].hide()
		_current = (_current + 1) % _numElements
		_elements[_current].show()
		if (_onNext) {
			_onNext(_current)
		}
	})
}
